VMware Postgres v14.0 Release Notes

Release Date: October 1st, 2021

This document describes features, fixes, and known issues in VMware Postgres v14.0.0.

Software Component Versions

VMware Postgres Version Component Component Version
14.0.0 PostgreSQL 14.0
pgBackRest 2.35
pg_auto_failover 1.6.2
pgbouncer 1.16.0
Clients psqlODBC 13.02.0000
pgjdbc 42.2.24
Extensions PL/Java 1.5.8
PL/R 8.4.4
Orafce 3.16.0
PostGIS with
geos (v3.8.1),
proj (v4.9.3), gdal (v2.4.4)
3.1.4

Each VMware Postgres includes all of the contributed modules listed in Appendix F. Additional Supplied Modules of the PostgreSQL documentation.

Features

  • VMware Postgres 14.0.0 updates the PostgreSQL database version to 14.0. Postgres version 14.0 includes numerous enhancements, as highlighted in Release Notes.
  • This release supports upgrades from any previous VMware Postgres version to 14.0, provided customers are not using PostGIS. For more details, see Upgrading to VMware Postgres 14.0.
  • VMware Postgres 14.0.0 updates pg_auto_failover to 1.6.2.
  • VMware Postgres 14.0.0 updates pgBackRest to 2.35.
  • This release updates Orafce to 3.16.0, PL/R to 8.4.4, PL/Java to 1.5.8, and PostGIS to 3.1.4.
  • This release updates JDBC to 42.2.24, and ODBC to 13.02.0000.

Upgrading to VMware Postgres 14.0

Customers that are not using the PostGIS extension can upgrade to 14.0 from any previous Postgres version, 10.x, 11.x, 12.x or 13.x. See Upgrading VMware Postgres for upgrade information.

Customers that are using the PostGIS extension cannot upgrade to 14.0.0 unless they are in VMware Postgres 13.x. PostGIS customers using VMware Postgres versions 10.x, 11.x or 12.x cannot currently upgrade to 14.0.0.

Known Issues and Limitations

  • 884 - pg_auto_failover does not support extra table spaces.
  • 773 - Because a failover scenario requires files in the data directory to to be overwritten, you should store all read-only files outside of the configured data directory. Common read-only files include SSL certificates, keys, or different configuration files for primary and mirrors.
  • PostGIS 10.x, 11.x, 12.x users cannot upgrade to Postgres 14.0.0.
  • VMware does not support using the deprecated XML2 module.
  • All software components in this release, including the client ODBC and JDBC drivers, are supported only on Red Hat Enterprise Linux (RHEL) version 7 and CentOS 7 systems.

  • The xml2 extension is included in VMware Postgres, but it is deprecated and unsupported.